Dismiss Connection Warnings Private Preview
This feature is currently in private preview. Please submit a support ticket if you would like to try out this feature.
Dismisses active warnings for a connection. If warning_types is provided, only the provided types are dismissed.
If warning_types is omitted or empty, all active warnings for the connection are dismissed.
Validation is performed before any warnings are dismissed. If any value in warning_types is unrecognized or null,
the entire request is rejected with 400 and no warnings are dismissed.
Dismissed warnings may reappear on the next sync if the underlying issue is not resolved.
Request schema
Path parameters
The unique identifier of the connection. Retrieve it from the id field in the List All Connections response, or from the id field returned when you Create a Connection.
Header parameters
HTTP: basicAuth
HTTP AuthorizationScheme: basic
Request
List of warning type codes to dismiss. Use the type field from GET /v1/connections/{connectionId}/warnings to get valid values. Values are case-sensitive strings. If omitted or empty, all active warnings are dismissed.
POST /v1/connections/4107c213907114059a5544ad8fa66c52/dismiss-warnings HTTP/1.1 Accept: application/json;version=2 Authorization: Basic <Replace with base64-encoded key> Content-Type: application/json Host: api.fivetran.com Content-Length: 92 { "warning_types": [ "resync_table_warning", "type_coercion_to_null_warning" ] }
Responses
200
Response status code
Response status text
{ "code": "Success", "message": "Warnings dismissed for connection 'string'" }